apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci3-deployment
  namespace: default
spec:
  replicas: 2
  selector:
    matchLabels:
      app: ci3-app
  template:
    metadata:
      labels:
        app: ci3-app
    spec:
      containers:
      - name: php
        image: docker.rri.co.id/ci3-app:latest
        ports:
        - containerPort: 9000
      - name: nginx
        image: nginx:1.23
        ports:
        - containerPort: 80
        volumeMounts:
        - name: nginx-config
          mountPath: /etc/nginx/conf.d
      volumes:
      - name: nginx-config
        configMap:
          name: ci3-nginx-config
